ALTER FUNCTION [dbo].[getPayrollCode] (@pEmp_key int, @pAbsenceDate datetime)  
RETURNS nvarchar(40)  AS  
BEGIN 

	DECLARE 
	@code_count int,
	@return_code nvarchar(40),
	@one_code int

	select @code_count = count(distinct absence_code) from absences where emp_key = @pEmp_key and absence_date = @pAbsenceDate and absences.record_status = 1
	select top 1 @one_code = absence_code from absences where emp_key = @pEmp_key and absence_date = @pAbsenceDate and absences.record_status = 1
	set @return_code =  ''

	if (@code_count > 1)
		set @return_code =  'Mixed Codes'	
	else if (@code_count = 1)
		select @return_code = paycd_name from payroll_codes, absent_codes
			where payroll_codes.paycd_id = absent_codes.abs_pay_code
			and absent_codes.abs_code = @one_code

	return @return_code
END